<template>
  <div v-if="flights" class="tickets-wrapper">
    <transition-group tag="div" name="slide-fade" mode="out-in">
      <ticket v-for="flight of Object.freeze(flights)" :key="flight.id" :flight="flight" />
    </transition-group>
  </div>
</template>

<script>
import { mapGetters } from "vuex";
import Ticket from "./components/Ticket";
export default {
  components: { Ticket },
  computed: {
    ...mapGetters(["flights"])
  }
};
</script>

<style lang='scss' scoped>
.tickets-wrapper {
  width: 100%;
}
.slide-fade-enter-active {
  transition: all 0.5s ease-in;
}
.slide-fade-leave-active {
  transition: all 0.5s ease-out;
}
.slide-fade-enter,
.slide-fade-leave-to {
  transform: translateY(10px);
  opacity: 0;
}
</style>
